#!/bin/pwsh
function Initialize-Configuration {
    # Hide update which prevents use of WSL in KVM
    Get-WindowsUpdate -KBArticleID KB5032190 -Hide -AcceptAll;
    Get-WindowsUpdate -KBArticleID KB5032190 -Hide -AcceptAll;
}

function Install-PortValhallaDrivers {
    param(
        [Context] $context
    )

    choco install -y --params "'ALLUSERS=1'" qemu-guest-agent;
    choco install -y spice-agent;
}

. "$PSScriptRoot/../../Generic/Windows/Install.ps1";
