#!/bin/bash
contextRoot="$(mktemp -d)";
pushd "$contextRoot" > /dev/null;
git init;
git commit --allow-empty -m "Initial commit" > /dev/null;
git branch master || true;
git branch main || true;
git branch dev || true;
yes "" | git flow init > /dev/null 2>&1;
git flow config set --global master main > /dev/null;
git flow config set --global develop dev > /dev/null;
popd > /dev/null;
rm -rf "$contextRoot";
